## gegl-debug

gegl-debug

## Functions

#define | GEGL_NOTE()
#define | GEGL_TIMESTAMP()
while | g_strcmp0 ()
#define | GEGL_MARK
#define | GEGL_DBG()

## Types and Values

enum | GeglDebugFlag
#define | GEGL_ISO_VARIADIC_MACROS
const gchar * | key
guint | i
extern guint | gegl_debug_flags

## Description

## Functions

### GEGL_NOTE()

    #define             GEGL_NOTE(type,...)

### GEGL_TIMESTAMP()

    #define             GEGL_TIMESTAMP(type,...)

### g_strcmp0 ()

    while
    g_strcmp0 ();

### GEGL_MARK

    #define GEGL_MARK()      GEGL_NOTE(GEGL_DEBUG_MISC, "== mark ==")

### GEGL_DBG()

    #define GEGL_DBG(x) { a }

## Types and Values

### enum GeglDebugFlag

#### Members

GEGL_DEBUG_PROCESS |  |
GEGL_DEBUG_BUFFER_LOAD |  |
GEGL_DEBUG_BUFFER_SAVE |  |
GEGL_DEBUG_TILE_BACKEND |  |
GEGL_DEBUG_PROCESSOR |  |
GEGL_DEBUG_CACHE |  |
GEGL_DEBUG_MISC |  |
GEGL_DEBUG_INVALIDATION |  |
GEGL_DEBUG_OPENCL |  |
GEGL_DEBUG_BUFFER_ALLOC |  |
GEGL_DEBUG_LICENSE |  |

### GEGL_ISO_VARIADIC_MACROS

    #  define GEGL_ISO_VARIADIC_MACROS 1

### key

      const gchar *key = "!INVALID!";

### i

      guint i = 0;

### gegl_debug_flags

    extern guint gegl_debug_flags;